Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ChangeAdapter

    java.lang.Object
      org.biojava.utils.ChangeAdapter

All Implemented Interfaces:
  EventListener, ChangeListener

Direct Known Subclasses:
  ChangeListener.ChangeEventRecorder

    public class ChangeAdapter

extends Object
implements ChangeListener

This is a ChangeListener that ignores everything. This is a useful base-class for throw-a-way ChangeListener objects in a similar vein to MouseAdapter etc.

Author:
  Matthew Pocock, Keith James (docs)

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.ChangeEventRecorder, ChangeListener.LoggingListener`

Field Summary

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`ChangeAdapter()`

Method Summary
`void` | `postChange(ChangeEvent ce)` Called when a change has just taken place.
`void` | `preChange(ChangeEvent ce)` Called before a change takes place.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeAdapter

    public ChangeAdapter()

Method Detail

### preChange

    public void preChange(ChangeEvent ce)
                   throws ChangeVetoException

  Description copied from interface: `ChangeListener`

  Called before a change takes place.

  This is your chance to stop the change by throwing a ChangeVetoException. This method does not indicate that the change will definitely take place, so it is not recomended that you take any positive action within this handler.

  Specified by:
    `preChange` in interface `ChangeListener`
  Parameters:
    `ce` - An event encapsulating the change which is about to take place.
  Throws:
    `ChangeVetoException` - Description of Exception

### postChange

    public void postChange(ChangeEvent ce)

  Description copied from interface: `ChangeListener`

  Called when a change has just taken place.

  This method is the place to perform any behavior in response to the change event.

  Specified by:
    `postChange` in interface `ChangeListener`
  Parameters:
    `ce` - An event encapsulating the change which has occured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD